/*
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
         2025 ,    .
          2025     .

  1917000  2225000.  !      01 .   575100  667500
      .       "  2025"
*/

--   scale_comments  2025     2024 .
DELETE from scale_comments where yy=2025 and id_scale < 100
go
insert into scale_comments 
	(id_scale, yy, t_comment, cat_pf, fl_mrot, gk_mrot, kod_tarif)
select 
	id_scale, 2025, t_comment, cat_pf, fl_mrot, gk_mrot, kod_tarif
	from scale_comments where yy=2024 and id_scale < 100
go

--    2025 
if exists(select 1 from table_nalog_soc where  yy = 2025) 
	delete from table_nalog_soc where  yy = 2025
GO

if not exists(select 1 from table_nalog_soc where yy = 2025) 
begin
	--   2024   
	select id_scale, yy, code_nalog, nomer_pp, xbegin, xend, procent, min_summa, procent_vmen, min_summa_vmen, prc_after_mrot
	into #table_nalog_soc 
		from table_nalog_soc 
		where yy = 2024
	-- 
	update #table_nalog_soc set yy = 2025
	--      
	
	update #table_nalog_soc set xbegin = 2759000 where round(xbegin, 0) = 2225000
	update #table_nalog_soc set xend = 2759000 where round(xend, 0) = 2225000

	update #table_nalog_soc set min_summa = 827700 where min_summa = 667500


	--    
	insert into table_nalog_soc (
		id_scale, yy, code_nalog, nomer_pp, xbegin, xend, procent, min_summa, procent_vmen, min_summa_vmen, prc_after_mrot
		)
	select 
		id_scale, yy, code_nalog, nomer_pp, xbegin, xend, procent, min_summa, procent_vmen, min_summa_vmen, prc_after_mrot
	from #table_nalog_soc
	--  
	drop table #table_nalog_soc
end
go
